B::Compiling(3pm)

NAME
B::Compiling - Expose PL_compiling to perl

SYNOPSIS
    use B::Compiling;

    BEGIN {
        warn "currently compiling ", PL_compiling->file;
    }

DESCRIPTION
This module exposes the perl interpreter's PL_compiling variable to perl.

FUNCTIONS

  PL_compiling
This function returns a "B::COP" object representing PL_compiling. It's exported by default. See B for documentation on how to use the returned "B::COP".

SEE ALSO
B

AUTHOR
Florian Ragwitz <rafl@debian.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Florian Ragwitz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.